Loading...
Searching...
No Matches
FrustumRasterizerSettings Struct Reference

A group of shared settings to be used in the Volume Rasterizer. More...

`#include <openvdb/points/PointRasterizeFrustum.h>`

## Public Member Functions

| FrustumRasterizerSettings ()=delete
| FrustumRasterizerSettings (const math::Transform &_transform)

## Public Attributes

math::Transform::Ptr | transform
RasterCamera | camera
bool | scaleByVoxelVolume = false
bool | useRadius = false
bool | accurateFrustumRadius = false
bool | accurateSphereMotionBlur = false
bool | velocityMotionBlur = false
bool | threaded = true
float | threshold = 1e-6f
float | radiusScale = 1.0f
float | framesPerSecond = 24.0f
Name | velocityAttribute = "v"
Name | radiusAttribute = "pscale"
int | motionSamples = 2

## Detailed Description

A group of shared settings to be used in the Volume Rasterizer.

Parameters

  scaleByVoxelVolume | scale particle contributions by the volume of the receiving voxel
  velocityAttribute | the name of the velocity attribute
  velocityMotionBlur | bake the point velocities into the volume
  clipToFrustum | if enabled and the transform is a frustum transform, eliminate points whose position does not lie within the frustum
  clipBBox | an optional world-space bounding box to clip the points during rasterization
  clipMask | an optional mask, each point samples the mask using a nearest-neighbor sampling and is only rasterized if active
  invertMask | if mask is provided, only rasterize if sample is inactive
  framesPerSecond | the global value for frames / second for computing motion blur
  threaded | if enabled, use threading to accelerate rasterization

Note
  rasterization can clip can using any combination of bounding box, mask and frustum

## Constructor & Destructor Documentation

## FrustumRasterizerSettings() [1/2]

FrustumRasterizerSettings | ( |  | ) |

delete

## FrustumRasterizerSettings() [2/2]

FrustumRasterizerSettings | ( | const math::Transform & | _transform | ) |

inlineexplicit

## Member Data Documentation

## accurateFrustumRadius

bool accurateFrustumRadius = false

## accurateSphereMotionBlur

bool accurateSphereMotionBlur = false

## camera

RasterCamera camera

## framesPerSecond

float framesPerSecond = 24.0f

## motionSamples

int motionSamples = 2

## radiusAttribute

Name radiusAttribute = "pscale"

## radiusScale

float radiusScale = 1.0f

## scaleByVoxelVolume

bool scaleByVoxelVolume = false

## threaded

bool threaded = true

## threshold

float threshold = 1e-6f

## transform

math::Transform::Ptr transform

## useRadius

bool useRadius = false

## velocityAttribute

Name velocityAttribute = "v"

## velocityMotionBlur

bool velocityMotionBlur = false